/*
 * Created on 10.08.2007
 */
package Utilities;

/**
 * @author Thomas Fober
 *         Philipps-Universitt Marburg
 *         Fachbereich Mathematik und Informatik
 *         thomas@mathematik.uni-marburg.de
 */
public class EvalParameter {
	public double match;
	public double mismatch;
	public double dummy;
	public double edgeMatch;
	public double edgeMismatch;
	public double epsilon;
	
	
	public EvalParameter(String[] args) {
		this.match 			= Integer.parseInt(args[0]);
		this.mismatch 		= Integer.parseInt(args[1]);
		this.dummy 			= Integer.parseInt(args[2]);
		this.edgeMatch 		= Integer.parseInt(args[3]);
		this.edgeMismatch 	= Integer.parseInt(args[4]);
		this.epsilon 		= Integer.parseInt(args[5]);
	}
	
	
	public EvalParameter(){
		match = 1;
		mismatch = -5;
		dummy = -2.5;
		edgeMatch = 0.1;
		edgeMismatch = -0.2;
		epsilon = .2;
	}
	
	public String toString() {
		return "Nm/Nmm/Nd/Em/Emm/eps: "+match+", "+mismatch+", "+dummy+", "+edgeMatch+", "+edgeMismatch;
	}
	
	
}